Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Interface DomExtension

All Known Implementing Classes:
  BatikDomExtension

    public interface DomExtension

This is a Service interface for classes that want to extend the functionality of the AbstractDocument, to support new tags in the DOM tree.

Method Summary
`String` | `getAuthor()` This should return the individual or company name responsible for the this implementation of the extension.
`String` | `getContactAddress()` This should return a contact address (usually an e-mail address).
`String` | `getDescription()` Human readable description of the extension.
`float` | `getPriority()` Return the priority of this Extension.
`String` | `getURL()` This should return a URL where information can be obtained on this extension.
`void` | `registerTags(ExtensibleDOMImplementation di)` This method should update the DOMImplementation with support for the tags in this extension.

Method Detail

### getPriority

    float getPriority()

  Return the priority of this Extension. Extensions are registered from lowest to highest priority. So if for some reason you need to come before/after another existing extension make sure your priority is lower/higher than theirs.

### getAuthor

    String getAuthor()

  This should return the individual or company name responsible for the this implementation of the extension.

### getContactAddress

    String getContactAddress()

  This should return a contact address (usually an e-mail address).

### getURL

    String getURL()

  This should return a URL where information can be obtained on this extension.

### getDescription

    String getDescription()

  Human readable description of the extension. Perhaps that should be a resource for internationalization? (although I suppose it could be done internally)

### registerTags

    void registerTags(ExtensibleDOMImplementation di)

  This method should update the DOMImplementation with support for the tags in this extension. In some rare cases it may be necessary to replace existing tag handlers, although this is discouraged. This is called before the DOMImplementation starts.

  Parameters:
    `di` - The DOMImplementation instance to be updated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.